package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneBidding;
import com.ruoyi.system.domain.other.WsStoneBiddingExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneBiddingMapper {
    long countByExample(WsStoneBiddingExample example);

    int deleteByExample(WsStoneBiddingExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneBidding record);

    int insertSelective(WsStoneBidding record);

    List<WsStoneBidding> selectByExample(WsStoneBiddingExample example);

    WsStoneBidding selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneBidding record, @Param("example") WsStoneBiddingExample example);

    int updateByExample(@Param("record") WsStoneBidding record, @Param("example") WsStoneBiddingExample example);

    int updateByPrimaryKeySelective(WsStoneBidding record);

    int updateByPrimaryKey(WsStoneBidding record);
}
